Contributors ondenman chrismytton

Last run failed with status code 1.

Console output of last run

Injecting configuration and compiling...  -----> Ruby app detected -----> Compiling Ruby -----> Using Ruby version: ruby-2.3.4 -----> Installing dependencies using bundler 1.15.2  Running: bundle install --without development:test --path vendor/bundle --binstubs vendor/bundle/bin -j4 --deployment  Warning: the running version of Bundler (1.15.2) is older than the version that created the lockfile (1.15.3). We suggest you upgrade to the latest version of Bundler by running `gem install bundler`.  Fetching gem metadata from https://rubygems.org/........  Fetching version metadata from https://rubygems.org/..  Fetching dependency metadata from https://rubygems.org/.  Fetching https://github.com/openaustralia/scraperwiki-ruby  Fetching https://github.com/everypolitician/twitter_list  Fetching public_suffix 2.0.5  Fetching buftok 0.2.0  Using bundler 1.15.2  Fetching unf_ext 0.0.7.4  Installing public_suffix 2.0.5  Installing buftok 0.2.0  Fetching equalizer 0.0.11  Installing equalizer 0.0.11  Fetching multipart-post 2.0.0  Fetching http-form_data 1.0.3  Installing multipart-post 2.0.0  Installing http-form_data 1.0.3  Installing unf_ext 0.0.7.4 with native extensions  Fetching http_parser.rb 0.6.0  Fetching httpclient 2.8.0  Installing http_parser.rb 0.6.0 with native extensions  Installing httpclient 2.8.0  Fetching thread_safe 0.3.6  Installing thread_safe 0.3.6  Fetching naught 1.1.0  Installing naught 1.1.0  Fetching sqlite3 1.3.11  Installing sqlite3 1.3.11 with native extensions  Fetching simple_oauth 0.3.1  Installing simple_oauth 0.3.1  Fetching addressable 2.5.1  Installing addressable 2.5.1  Fetching faraday 0.11.0  Installing faraday 0.11.0  Fetching memoizable 0.4.2  Installing memoizable 0.4.2  Fetching unf 0.1.4  Installing unf 0.1.4  Fetching domain_name 0.5.20170404  Installing domain_name 0.5.20170404  Fetching http-cookie 1.0.3  Installing http-cookie 1.0.3  Fetching http 2.2.2  Installing http 2.2.2  Fetching twitter 6.1.0  Installing twitter 6.1.0  Using twitter_list 0.0.2 from https://github.com/everypolitician/twitter_list (at master@90832b6)  Fetching sqlite_magic 0.0.6  Installing sqlite_magic 0.0.6  Using scraperwiki 3.0.1 from https://github.com/openaustralia/scraperwiki-ruby (at morph_defaults@fc50176)  Bundle complete! 3 Gemfile dependencies, 24 gems now installed.  Gems in the groups development and test were not installed.  Bundled gems are installed into ./vendor/bundle.  Bundle completed (18.33s)  Cleaning up the bundler cache. -----> Detecting rake tasks   ###### WARNING:  You have not declared a Ruby version in your Gemfile.  To set your Ruby version add this line to your Gemfile:  ruby '2.3.4'  # See https://devcenter.heroku.com/articles/ruby-versions for more information.   -----> Discovering process types  Procfile declares types -> scraper Injecting scraper and running... /app/vendor/bundle/ruby/2.3.0/gems/twitter-6.1.0/lib/twitter/rest/response/raise_error.rb:13:in `on_complete': Sorry, that page does not exist. (Twitter::Error::NotFound) from /app/vendor/bundle/ruby/2.3.0/gems/faraday-0.11.0/lib/faraday/response.rb:9:in `block in call' from /app/vendor/bundle/ruby/2.3.0/gems/faraday-0.11.0/lib/faraday/response.rb:61:in `on_complete' from /app/vendor/bundle/ruby/2.3.0/gems/faraday-0.11.0/lib/faraday/response.rb:8:in `call' from /app/vendor/bundle/ruby/2.3.0/gems/faraday-0.11.0/lib/faraday/request/retry.rb:116:in `call' from /app/vendor/bundle/ruby/2.3.0/gems/faraday-0.11.0/lib/faraday/request/url_encoded.rb:15:in `call' from /app/vendor/bundle/ruby/2.3.0/gems/faraday-0.11.0/lib/faraday/request/multipart.rb:14:in `call' from /app/vendor/bundle/ruby/2.3.0/gems/twitter-6.1.0/lib/twitter/rest/request/multipart_with_file.rb:21:in `call' from /app/vendor/bundle/ruby/2.3.0/gems/faraday-0.11.0/lib/faraday/rack_builder.rb:139:in `build_response' from /app/vendor/bundle/ruby/2.3.0/gems/faraday-0.11.0/lib/faraday/connection.rb:377:in `run_request' from /app/vendor/bundle/ruby/2.3.0/gems/faraday-0.11.0/lib/faraday/connection.rb:140:in `get' from /app/vendor/bundle/ruby/2.3.0/gems/twitter-6.1.0/lib/twitter/rest/request.rb:33:in `perform' from /app/vendor/bundle/ruby/2.3.0/gems/twitter-6.1.0/lib/twitter/cursor.rb:29:in `initialize' from /app/vendor/bundle/ruby/2.3.0/gems/twitter-6.1.0/lib/twitter/rest/utils.rb:107:in `new' from /app/vendor/bundle/ruby/2.3.0/gems/twitter-6.1.0/lib/twitter/rest/utils.rb:107:in `perform_get_with_cursor' from /app/vendor/bundle/ruby/2.3.0/gems/twitter-6.1.0/lib/twitter/rest/lists.rb:430:in `cursor_from_response_with_list' from /app/vendor/bundle/ruby/2.3.0/gems/twitter-6.1.0/lib/twitter/rest/lists.rb:248:in `list_members' from /app/vendor/bundle/ruby/2.3.0/bundler/gems/twitter_list-90832b604c79/lib/twitter_list/scraper.rb:22:in `people' from scraper.rb:13:in `<main>'

Statistics

Average successful run time: half a minute

Total run time: about 6 hours

Total cpu time used: 12 minutes

Total disk space used: 65.7 KB

History

  • Auto ran revision 7cd1a970 and failed .
    nothing changed in the database
    11 pages scraped
  • Auto ran revision 7cd1a970 and failed .
    nothing changed in the database
    13 pages scraped
  • Auto ran revision 7cd1a970 and failed .
    nothing changed in the database
  • Auto ran revision 7cd1a970 and failed .
    nothing changed in the database
    11 pages scraped
  • Auto ran revision 7cd1a970 and failed .
    nothing changed in the database
  • ...
  • Created on morph.io

Show complete history